Subject: Re: rxvt selection problem

From: [email-masked]
Date: Sun, 5 Mar 2000 20:11:03 -0700

On Thu, Feb 10, 2000 at 03:32:21AM +0100, Dominik Vogt wrote:
> On Tue, Feb 08, 2000 at 01:27:13PM -0500, Bob Woodside wrote:
> > Dominik Vogt wrote:
> > > 
> > > SOmething I forgot to mention:  the selection problem even shows up
> > > if I keep the button pressed on the title bar for a minute before
> > > moving it.  THis really confuses me.  If it's a 'grab' problem then
> > > this can't happen.
> > 
> > 	Yes, I've observed that, too.
> > 
> > 	Try this. Grab the titlebar and begin the move very slowly, so the
> > window begins moving before the cursor gets out of the titlebar. Once
> > the window starts to move, you can drag it as fast or slowly or
> > erratically as you please, and I'll be you can't make any spurious
> > selection happen. We need to look at what happens in that interval befor
> > FVWM decides that a move is in progress.
> > 
> > 	Gotta run to catch a train. Maybe I can look at it some more later this
> > evening.
> 
> I've tried to grab all buttons on the frame window instead
> of the decor_w because I suspected a grab problem at first.
> This didn't help, though.
> 

Hi, 

I have noticed that besides moving the window fast, you can get the same
effect if you give a :  Style "blah" GrabFocus, StaysOnTop, FixedPosition.
Then try to move the window "blah"... any rxvt (or netscape) that the 
mouse pointer crosses will have its text selected.

HTH, sa
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]